 Bankdecoder and AV generator (GAL2)
*IDENTYFICATION
 bankman;
*TYPE
  GAL16V8;
*PINS

 %Inputs%

 BA7	= 1,
 BA6	= 2,
 BA5	= 3,
 BA4 	= 4,
 BA3	= 5,
 BA2    = 6,
 BA1	= 7,
 BA0	= 8,
 PHI2F  = 9,
 DCLK	= 11,
 PHI2	= 17,
 A_Bus_EN  = 13,

 %Outputs%

 AV	= 12,
 Data_EN = 16,
 OE = 15,

 RAM	= 18,
 SLOW	= 19;

*BOOLEAN-EQUATIONS

 /AV 	= /DCLK & /PHI2F + PHI2F;

 /SLOW = /BA0 & /BA1 & /BA2 & /BA3 & /BA4 & /BA5 & /BA6 & /BA7;

 /Data_EN = /A_Bus_EN & PHI2;

 /RAM = BA1 & /BA2 & /BA3 & /BA4 & /BA5 & /BA6 & /BA7;

 /OE  = PHI2F & /DCLK + /PHI2F & DCLK;

*END
